﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MainPage.aspx.cs" Inherits="MainPage" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<style type="text/css">
		html, body, form
		{
			margin:0;
			padding:0;
			height:100%;
			overflow:hidden;
		}
	</style>
</head>
<body>
    <form id="form1" runat="server">
    
		<telerik:RadScriptManager ID="scriptMngr" runat="server" />

		<telerik:RadAjaxManager ID="ajaxMngr" runat="server" OnAjaxRequest="ajaxMngr_AjaxRequest">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="ajaxMngr">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="navTree" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>

		<telerik:RadSplitter ID="mainSplitter" runat="server" Width="100%" Height="100%">

			<telerik:RadPane ID="treePane" runat="server" Width="300px">

				<telerik:RadTreeView ID="navTree" runat="server" OnClientNodeClicked="treeNodeClicked">
					<Nodes>
						<telerik:RadTreeNode Text="Show Content Page" Value="contentPage"></telerik:RadTreeNode>
					</Nodes>
				</telerik:RadTreeView>

			</telerik:RadPane>
			<telerik:RadPane ID="contentPane" runat="server"></telerik:RadPane>

		</telerik:RadSplitter>

		<script type="text/javascript">

			function treeNodeClicked(tree, args)
			{
				var node = args.get_node()
				if(node.get_value() == 'contentPage')
					$find("<%= contentPane.ClientID %>").set_contentUrl("ContentPage.aspx");
			}

			function getSplitter()
			{
				return $find("<%= mainSplitter.ClientID%>");
			}

			function addTreeNode(text)
			{
				$find("<%= ajaxMngr.ClientID%>").ajaxRequest("updateTree#" + text);
			}
		</script>
    
    </form>
</body>
</html>
